### Struct

# Camel CipherValidity

#### Description

    struct CamelCipherValidity {
      GQueue children;
      _sign sign;
      _encrypt encrypt;
    }

No description available.

###### Structure members

`children:` `GQueue`

  No description available.

`sign:` `_sign`

  No description available.

`encrypt:` `_encrypt`

  No description available.

#### Constructors

###### camel_cipher_validity_new

No description available.

#### Instance methods

###### camel_cipher_validity_add_certinfo

Add a cert info to the signer or encrypter info.

###### camel_cipher_validity_add_certinfo_ex

Add a cert info to the signer or encrypter info, with extended data set.

since: 2.30

###### camel_cipher_validity_clear

No description available.

###### camel_cipher_validity_clone

No description available.

###### camel_cipher_validity_envelope

Calculate a conglomerate validity based on wrapping one secure part inside another one.

###### camel_cipher_validity_free

No description available.

###### camel_cipher_validity_get_certinfo_property

Gets a named property `name` value for the given `info_index` of the `mode` validity part.

since: 3.22

###### camel_cipher_validity_get_description

No description available.

###### camel_cipher_validity_get_valid

No description available.

###### camel_cipher_validity_init

No description available.

###### camel_cipher_validity_set_certinfo_property

Sets a named property `name` value `value` for the given `info_index` of the `mode` validity part. If the `value` is `NULL`, then the property is removed. With a non-`NULL` `value` also `value_free` and `value_clone` functions cannot be `NULL`.

since: 3.22

###### camel_cipher_validity_set_description

No description available.

###### camel_cipher_validity_set_valid

No description available.